Subject: Re: [RFC PATCH] bcm43xx: set channel when the interface is brought up

From: Larry Finger <[email-masked]>
Date: Thu, 25 Jan 2007 09:36:14 -0600

Gene Heskett wrote:
> On Thursday 25 January 2007 07:50, Jiri Benc wrote:
>> On Thu, 25 Jan 2007 12:47:08 +0100, Ivo Van Doorn wrote:
>>> Correct, similar problems have been detected in rt2x00. The temporary
>>> solution in there is to demand a scanning operation after the
>>> interface has been brought up.
>> Scanning? No no no, please! That would be a clear bug and misbehaviour.
>>
>> Jiri
> 
> Oh?  I'm sitting here watching the tty0 screen of my lappy after x has 
> been started, and I have established a connection, but SoftMAC is still 
> logging its scan activity, starting with channel 1 and scanning 14 
> channels.  Its doing this at approximately 2 minute intervals.  So I 
> think we have your definition of a clear bug and misbehaviour.
> 

Are you running NetworkManager? If so, that is the source of the scanning.

Larry